Typedef (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Typedef,Typedef class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Typedef

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.AntlibDefinition
                        |
                        +--org.apache.tools.ant.taskdefs.DefBase
                              |
                              +--org.apache.tools.ant.taskdefs.Definer
                                    |
                                    +--org.apache.tools.ant.taskdefs.Typedef

Direct Known Subclasses:
  Taskdef

public class Typedef
extends Definer

Adds a data type definition to the current project. Two attributes are needed, the name that identifies this data type uniquely, and the full name of the class (including the packages) that implements this type.

You can also define a group of data types at once using the file or resource attributes. These attributes point to files in the format of Java property files. Each line defines a single data type in the format:

     typename=fully.qualified.java.classname

Typedef should be used to add your own types to the system. Data types are things likepaths or filesets that can be defined at the project level and referenced via their ID attribute.

Custom data types usually need custom tasks to put them to good use.

Since:
  Ant 1.4

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.taskdefs.Definer
`Definer.Format, Definer.OnError`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Typedef()`

Methods inherited from class org.apache.tools.ant.taskdefs.Definer
`addDefinition, execute, getClassname, getFile, getName, getResource, loadProperties, setAdapter, setAdapterClass, setAdaptTo, setAdaptToClass, setClassname, setFile, setFormat, setName, setOnError, setResource`

Methods inherited from class org.apache.tools.ant.taskdefs.DefBase
`createClasspath, createLoader, getClasspath, getClasspathId, getLoaderId, init, isReverseLoader, setClasspath, setClasspathRef, setLoaderRef, setReverseLoader`

Methods inherited from class org.apache.tools.ant.taskdefs.AntlibDefinition
`getAntlibClassLoader, getURI, setAntlibClassLoader, setURI`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Typedef

    public Typedef()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.